# db del |

`

###

    db del
    	[-glob]
    	[-txn txnid]
    	key

# Description

The db del command removes key/data pairs from the database.

In the presence of duplicate key values, all records associated with the designated key will be discarded.

The options are as follows:

-glob
  The specified key is a wildcard pattern, and all keys matching that pattern are discarded from the database. The pattern is a simple wildcard, any characters after the wildcard character are ignored.

-txn txnid
  If the file is being accessed under transaction protection, the txnid parameter is a transaction handle returned from env txn.

The db del command returns 0 on success, and in the case of error, a Tcl error is thrown.

`

Copyright Sleepycat Software